*--
*-- FCE32.CC
*--
*-- For Version 4.0.0 of FTP Client Engine
*--

#define FCE_SET_CONNECT_WAIT       1
#define FCE_SET_MIN_RESPONSE_WAIT  2
#define FCE_SET_MAX_RESPONSE_WAIT  3
#define FCE_SET_MIN_LINE_WAIT      4
#define FCE_SET_MAX_LINE_WAIT      5
#define FCE_SET_AUTO_CALL_DRIVER   6
#define FCE_SET_SLEEP_TIME         8
#define FCE_SET_FTP_PORT           9
#define FCE_SET_CLOSE_LINGER      10
#define FCE_SET_WRITE_BUFSIZE     11
#define FCE_SET_PASSIVE           12
#define FCE_SET_MAX_LISTEN_WAIT   13
#define FCE_SET_MASTER_INDEX      14
#define FCE_SET_APPEND_MODE       15
#define FCE_SET_DATA_PORT         16
#define FCE_SET_RENAME_DELIMITER  17
#define FCE_SET_SERVER_OFFSET     18
#define FCE_SET_CLIENT_OFFSET     19
#define FCE_SET_LOG_FILE          20
#define FCE_WRITE_TO_LOG          21
#define FCE_SET_MAX_COMPLETE_WAIT 22
#define FCE_SET_BLOCKING_MODE     23
#define FCE_AUTO_LOG_CLOSE        24
#define FCE_CLOSE_LOG_FILE        25
#define FCE_SET_FIRST_DATA_PORT   26
#define FCE_SET_LAST_DATA_PORT    27
#define FCE_HIDE_PASSWORD         28
#define FCE_STATUS_BEFORE_WRITE   29
#define FCE_BIND_TO_LOCAL_IP      30
#define FCE_LOCAL_DIR_IS_CDROM    31
#define FCE_DISABLE_SKEY          32
#define FCE_SET_FATAL_CODE        33
#define FCE_SET_DEBUG_LEVEL       34

#define FCE_GET_ERROR_TEXT         1
#define FCE_GET_COUNTER            2
#define FCE_GET_RESPONSE           3
#define FCE_GET_SOCK_ERROR         4

#define FCE_GET_FILE_BYTES_RCVD   10
#define FCE_GET_TOTAL_BYTES_RCVD  11
#define FCE_GET_FILE_BYTES_SENT   12
#define FCE_GET_TOTAL_BYTES_SENT  13
#define FCE_GET_SOCKET            14
#define FCE_GET_CONNECT_STATUS    15
#define FCE_GET_REGISTRATION      16

#define FCE_GET_LAST_RESPONSE     18
#define FCE_GET_SERVER_IP         19
#define FCE_GET_VERSION           20
#define FCE_GET_BUILD             21
#define FCE_GET_LINE_COUNT        22
#define FCE_GET_LOCAL_IP          23
#define FCE_GET_ERROR_LINE        24
#define FCE_GET_QUEUE_ZERO        25
#define FCE_GET_DATA_PORT         26
#define FCE_GET_DAYS_LEFT         27
#define FCE_GET_FULL_RESPONSE     28
#define FCE_SKEY_WAS_SEEN         29

#define FCE_FULL_LIST              0
#define FCE_NAME_LIST              1
#define FCE_FULL_LIST_FILE         2
#define FCE_NAME_LIST_FILE         3

#define FCE_SET_ASCII             65
#define FCE_SET_BINARY            66

extern CLONG fceAbort(CLONG) FCE32.DLL
extern CLONG fceAttach(CLONG,CLONG) FCE32.DLL
extern CLONG fceByteToShort(CSTRING) FCE32.DLL
extern CLONG fceClose(CLONG) FCE32.DLL
extern CLONG fceCommand(CLONG,CSTRING) FCE32.DLL
extern CLONG fceConnect(CLONG,CSTRING,CSTRING,CSTRING) FCE32.DLL
extern CLONG fceDebug(CLONG,CLONG,CSTRING,CLONG) FCE32.DLL
extern CLONG fceDelFile(CLONG,CSTRING) FCE32.DLL
extern CLONG fceDelServerDir(CLONG, CSTRING) FCE32.DLL
extern CLONG fceDriver(CLONG) FCE32.DLL
extern CLONG fceErrorText(CLONG,CLONG,CSTRING,CLONG) FCE32.DLL
extern CLONG fceExtract(CSTRING,CLONG,CLONG,CSTRING,CLONG) FCE32.DLL
extern CLONG fceFileLength(CSTRING,CLONG,CLONG) FCE32.DLL
extern CLONG fceGetDirFiles(CLONG,CSTRING,CSTRING,CLONG,CLONG) FCE32.DLL
extern CLONG fceGetFile(CLONG,CSTRING) FCE32.DLL
extern CLONG fceGetFileSize(CLONG,CSTRING) FCE32.DLL
extern CLONG fceGetFileTime(CLONG,CSTRING,CSTRING,CLONG) FCE32.DLL
extern CLONG fceGetInteger(CLONG,CLONG) FCE32.DLL
extern CLONG fceGetList(CLONG,CLONG,CSTRING,CLONG) FCE32.DLL
extern CLONG fceGetLocalDir(CLONG,CSTRING,CLONG) FCE32.DLL
extern CLONG fceGetLocalFList(CLONG,CSTRING,CLONG) FCE32.DLL
extern CLONG fceGetLocalFSize(CLONG,CSTRING) FCE32.DLL
extern CLONG fceGetServerDir(CLONG,CSTRING,CLONG) FCE32.DLL
extern CLONG fceGetString(CLONG,CLONG,CSTRING,CLONG) FCE32.DLL
extern CLONG fceGetSubDirs(CLONG,CSTRING,CLONG,CSTRING,CLONG,CLONG) FCE32.DLL
extern CLONG fceGetTicks(CVOID) FCE32.DLL
extern CLONG fceHello(CLONG) FCE32.DLL
extern CLONG fceIsConnected(CLONG) FCE32.DLL
extern CLONG fceMakeServerDir(CLONG, CSTRING) FCE32.DLL
extern CLONG fceMatchFile(CSTRING,CLONG,CSTRING,CLONG,CSTRING,CLONG) FCE32.DLL
extern CLONG fcePutDirFiles(CLONG,CSTRING,CSTRING,CLONG,CLONG) FCE32.DLL
extern CLONG fcePutFile(CLONG,CSTRING) FCE32.DLL
extern CLONG fceRelease(CVOID) FCE32.DLL
extern CLONG fceSetInteger(CLONG,CLONG,CLONG) FCE32.DLL
extern CLONG fceSetLocalDir(CLONG,CSTRING) FCE32.DLL
extern CLONG fceSetMode(CLONG,CLONG) FCE32.DLL
extern CLONG fceSetServerDir(CLONG,CSTRING) FCE32.DLL
extern CLONG fceSetString(CLONG,CLONG,CSTRING) FCE32.DLL
extern CLONG fceShortToByte(CSTRING) FCE32.DLL
extern CLONG fceSleep(CLONG) FCE32.DLL
extern CLONG fceToInteger(CSTRING,CLONG,CLONG) FCE32.DLL

